AFPC(1)

NAME
afpc - fast ACK compatible Pascal compiler

SYNOPSIS
afpc [ -c ] [ -v ] [ -vn ] [ -Dname ] [ -Dname=def ] [ -Ipathname ] [ -w ] [ -g ] [ -L ] [ -o outfile ] [ -R ] [ -A ] [ -a ] [ -d ] [ -inum ] [ -t ] [ -C ] [ -U+ ] [ -u+ ] [ -s+ ] [ -c+ ] [ -Uname ] [ -Mcompiler ] sourcefile ...

DESCRIPTION

afpc is a fast Pascal compiler. It translates Pascal programs into ack(1)-compatible relocatable object modules, and does so in one pass. Then, if the -c flag is not given, afpc offers the object modules to a link-editor, to create an executable binary.

Fpc accepts several types of filename arguments. Files with names ending in .p are taken to be Pascal source programs. They are compiled, and the resulting object module is placed in the current directory. The object module is named after its source file, the suffix .o replacing .p in the name of the object. A file with suffix .p is passed through the C preprocessor if it begins with a '#'.

Other arguments refer to loader options, object modules, or object libraries. Unless the -c flag is given, these modules and libraries, together with the results of any specified compilations, are passed (in the order given) to the link-editor to produce an output file named a.out. You can specify a name for the executable by using the -o option.

If a single Pascal program is compiled and loaded all at once, the object module file is deleted.

OPTIONS

-c
    Suppress the loading phase of the compilation, and force an object module to be produced, even if only one program is compiled. A single object module can be named explicitly using the -o option.

-Dname=def
    Define a symbol name to the preprocessor, as if by "#define".

-Dname
    same as -Dname=1.

-Ipathname
    Add pathname to the list of directories in which to search for #include files with filenames not beginning with slash. The preprocessor first searches for #include files in the directory containing sourcefile, then in directories in -I options, and finally, in /usr/include.

-o output
    Name the final output file output.

-Uname
    Remove any initial definition of name.

-v
    Verbose. Print the commands as they are executed.

-vn
    Verbose, no execute. Only print the commands, do not execute them.

-L
    do not generate code to keep track of the current location in the source code.

-g
    Produce symbolic debugging information for grind(1).

-w
    suppress warning messages.

-d
    allow for "long"s.

-inum
    set size for integer sets. By default, the set size is the word size.

-C
    distinguish between lower case and upper case. Normally, upper case letters are considered equal to their lower case counterpart.

-t
    trace calls and exits of procedures and functions.

-R
    disable all range-checks.

-A
    enable extra array bound checks. Unfortunately, the back-end used for this compiler is a bit sloppy, so extra array bound checks are needed if you want detection of array bound errors.

-a
    disable assertions. Assertions are skipped instead of evaluated.

-U+, -u+
    allow for underscores within identifiers. Identifiers may not start with an underscore, even if this flag is given.

-s+
    allow only standard Pascal. This disables the -c+, -d, -u+, -U+ and -C options. Furthermore, assertions are not recognized at all.

-c+
    allow C-like strings. This option is mainly intended for usage with C-functions. This option will cause the type 'string' to be known.

-Mcompiler
    use compiler as Modula-2 compiler instead of the default.

SEE ALSO

[1] J.W. Stevenson, H. v. Eck, Amsterdam Compiler Kit-Pascal reference manual.

[2] ack(1) unix manual page.

[3] grind(1) unix manual page.

DIAGNOSTICS
Diagnostics are intended to be self-explanatory.